API7 Docs

Patch a CA certificate on a gateway group

PATCH /apisix/admin/ca_certificates/{ca_certificate_id}

PATCH /apisix/admin/ca_certificates/{ca_certificate_id}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

ca_certificate_id*string

The unique identifier of the certificate.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Query Parameters

gateway_group_id*string

Gateway group ID. Optional when using the gateway group admin key to authenticate.

Length1 <= length

Request Body

application/json

JSON Patch payload as defined by RFC 6902. See JSON Patch for more information.

[index: integer]?|

Response Body

application/json

application/json

curl -X PATCH "$API_BASE_URL/apisix/admin/ca_certificates/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335" \  -H "Content-Type: application/json" \  -d '[    {      "op": "add",      "path": "/name",      "value": "new-name"    }  ]'

CA certificate updated successfully.

{
  "value": {
    "name": "us-west-rsc",
    "desc": "Object description.",
    "cert": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----",
    "labels": {
      "version": "v2",
      "env": "prod"
    },
    "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
    "created_at": 1742288232,
    "updated_at": 1742288235,
    "associated_snis": [
      "string"
    ],
    "exptime": 1735680000,
    "validity_start": 1714540800,
    "validity_end": 1730419200
  }
}
Complete operation details and schema variants

PATCH /apisix/admin/ca_certificates/{ca_certificate_id}

Patch a CA certificate on a gateway group

Partially update a CA certificate with JSON Patch (RFC 6902) operations. Use patching for targeted changes without sending the full CA certificate payload. Required IAM Permission: Action gateway:UpdateCertificate, Resource arn:api7:gateway:gatewaygroup/%s

Parameters

  • ca_certificate_id (path, string, required): The unique identifier of the certificate.
  • gateway_group_id (query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.

Request body

Content type: application/json

  • oneOf variant 1: add/replace
  • [].op (string, required): The operation to be performed.
  • [].path (string, required): Path to the field to be replaced or added. Path should follow the JSON Pointer format.
  • [].value (object, required): Value to be added or replaced.
  • oneOf variant 2: remove
  • [].op (string, required): The operation to be performed.
  • [].path (string, required): Path to the field to be removed. Path should follow the JSON Pointer format.

Responses

  • 200: CA certificate updated successfully.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional): The Certificate response format, with filtering the sensitive fields and some other fields.
  • allOf variant 1
  • value.name (string, optional): The object name.
  • value.desc (string, optional): The object description.
  • value.cert (string, optional): The certificate in PEM format.
  • value.labels (object, optional): Key-value pairs of labels.
  • allOf variant 2
  • value.id (string, optional): The object ID.
  • value.created_at (integer, optional): The object created timestamp.
  • value.updated_at (integer, optional): The object updated timestamp.
  • value.associated_snis (array, optional): The SNI IDs associated with the certificate.
  • value.exptime (integer, optional): The SSL certificate expire time.
  • value.validity_start (integer, optional): The earliest time when the SSL certificate is used.
  • value.validity_end (integer, optional): The latest time when the SSL certificate is used.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X PATCH '$API_BASE_URL/apisix/admin/ca_certificates/{ca_certificate_id}'